/*
 *  Background.cc
 */

#include <SupportDefs.h>
#include <Background.h>
#include "my_be.h"


void
Init_Background()
{
  rb_define_const(mBe, "BACKGROUND_INFO", rb_str_new2(B_BACKGROUND_INFO));

  rb_define_const(mBe, "BACKGROUND_IMAGE", rb_str_new2(B_BACKGROUND_IMAGE));
  rb_define_const(mBe, "BACKGROUND_MODE", rb_str_new2(B_BACKGROUND_MODE));
  rb_define_const(mBe, "BACKGROUND_ORIGIN", rb_str_new2(B_BACKGROUND_ORIGIN));
  rb_define_const(mBe, "BACKGROUND_ERASE_TEXT", rb_str_new2(B_BACKGROUND_ERASE_TEXT));
  rb_define_const(mBe, "BACKGROUND_WORKSPACES", rb_str_new2(B_BACKGROUND_WORKSPACES));

  rb_define_const(mBe, "BACKGROUND_MODE_USE_ORIGIN", ULONG2NUM(B_BACKGROUND_MODE_USE_ORIGIN));
  rb_define_const(mBe, "BACKGROUND_MODE_CENTERED", ULONG2NUM(B_BACKGROUND_MODE_CENTERED));
  rb_define_const(mBe, "BACKGROUND_MODE_SCALED", ULONG2NUM(B_BACKGROUND_MODE_SCALED));
  rb_define_const(mBe, "BACKGROUND_MODE_TILED", ULONG2NUM(B_BACKGROUND_MODE_TILED));
  rb_define_const(mBe, "RESTORE_BACKGROUND_IMAGE", ULONG2NUM(B_RESTORE_BACKGROUND_IMAGE));
}
