/*
 *  Mime.cc
 */

#include <Mime.h>
#include "my_be.h"


void
Init_Mime()
{
  rb_define_const(mBe, "MIME_STRING_TYPE", ULONG2NUM(B_MIME_STRING_TYPE));

  rb_define_const(mBe, "LARGE_ICON", ULONG2NUM(B_LARGE_ICON));
  rb_define_const(mBe, "MINI_ICON", ULONG2NUM(B_MINI_ICON));

  rb_define_const(mBe, "OPEN", ULONG2NUM(B_OPEN));

  rb_define_const(mBe, "APP_MIME_TYPE", rb_str_new2(B_APP_MIME_TYPE));
  rb_define_const(mBe, "PEF_APP_MIME_TYPE", rb_str_new2(B_PEF_APP_MIME_TYPE));
  rb_define_const(mBe, "PE_APP_MIME_TYPE", rb_str_new2(B_PE_APP_MIME_TYPE));
  rb_define_const(mBe, "ELF_APP_MIME_TYPE", rb_str_new2(B_ELF_APP_MIME_TYPE));
  rb_define_const(mBe, "RESOURCE_MIME_TYPE", rb_str_new2(B_RESOURCE_MIME_TYPE));
  rb_define_const(mBe, "FILE_MIME_TYPE", rb_str_new2(B_FILE_MIME_TYPE));

  rb_define_const(mBe, "META_MIME_CHANGED", ULONG2NUM(B_META_MIME_CHANGED));

  rb_define_const(mBe, "ICON_CHANGED", ULONG2NUM(B_ICON_CHANGED));
  rb_define_const(mBe, "PREFERRED_APP_CHANGED", ULONG2NUM(B_PREFERRED_APP_CHANGED));
  rb_define_const(mBe, "ATTR_INFO_CHANGED", ULONG2NUM(B_ATTR_INFO_CHANGED));
  rb_define_const(mBe, "FILE_EXTENSIONS_CHANGED", ULONG2NUM(B_FILE_EXTENSIONS_CHANGED));
  rb_define_const(mBe, "SHORT_DESCRIPTION_CHANGED", ULONG2NUM(B_SHORT_DESCRIPTION_CHANGED));
  rb_define_const(mBe, "LONG_DESCRIPTION_CHANGED", ULONG2NUM(B_LONG_DESCRIPTION_CHANGED));
  rb_define_const(mBe, "ICON_FOR_TYPE_CHANGED", ULONG2NUM(B_ICON_FOR_TYPE_CHANGED));
  rb_define_const(mBe, "APP_HINT_CHANGED", ULONG2NUM(B_APP_HINT_CHANGED));
  rb_define_const(mBe, "MIME_TYPE_CREATED", ULONG2NUM(B_MIME_TYPE_CREATED));
  rb_define_const(mBe, "MIME_TYPE_DELETED", ULONG2NUM(B_MIME_TYPE_DELETED));
  rb_define_const(mBe, "SNIFFER_RULE_CHANGED", ULONG2NUM(B_SNIFFER_RULE_CHANGED));
  rb_define_const(mBe, "EVERYTHING_CHANGED", ULONG2NUM(B_EVERYTHING_CHANGED));
}
