/*
 *  rbHandler.h
 */

#ifndef _RBHANDLER_H
#define _RBHANDLER_H


#include <Handler.h>
#include "my_be.h"


class Handler : public BHandler {
public:
VALUE myself;

                 Handler(const char *name=NULL);
                 Handler(BMessage *data);

virtual void     MessageReceived(BMessage *message);

virtual void     SetNextHandler(BHandler *handler);

virtual void     AddFilter(BMessageFilter *filter);
virtual bool     RemoveFilter(BMessageFilter *filter);
virtual void     SetFilterList(BList *filters);

virtual BHandler *ResolveSpecifier(BMessage *msg,
                                   int32 index,
                                   BMessage *specifier,
                                   int32 form,
                                   const char *property);
virtual status_t GetSupportedSuites(BMessage *data);


virtual void     SendNotices(uint32 what,
                             const BMessage *msg=0);

        void      *operator new(size_t size);
        void      operator delete(void *ptr);
};


#endif /* _RBHANDLER_H */
