/*
 *  rbMenuItem.h
 */

#ifndef _RBMENUITEM_H
#define _RBMENUITEM_H


#include <MenuItem.h>
#include "my_be.h"


class MenuItem : public BMenuItem {
public:
VALUE myself;

        MenuItem(const char *label,
                 BMessage *message,
                 char shortcut=0,
                 uint32 modifiers=0);

        MenuItem(BMenu *menu, BMessage *message=NULL);
        MenuItem(BMessage *data);

        void      *operator new(size_t size);
        void      operator delete(void *ptr);
};


class SeparatorItem : public BSeparatorItem {
public:
VALUE myself;
                  SeparatorItem();
                  SeparatorItem(BMessage *data);

        void      *operator new(size_t size);
        void      operator delete(void *ptr);
};


#endif /* _RBMENUITEM_H */
