/*
 *  rbMessenger.h
 */

#ifndef _RBMESSENGER_H
#define _RBMESSENGER_H


#include <Messenger.h>
#include "my_be.h"


class Messenger : public BMessenger {
public:
          Messenger() : BMessenger() {}

          Messenger(const char *mime_sig, 
                    team_id team = -1,
                    status_t *perr = NULL) : BMessenger(mime_sig, team, perr) {}

          Messenger(const BHandler *handler, 
                    const BLooper *looper = NULL,
                    status_t *perr = NULL) : BMessenger(handler, looper, perr) {}

          Messenger(const BMessenger &from) : BMessenger(from) {}

void      *operator new(size_t size) { return xmalloc(size); }
void      operator delete(void *ptr) { free(ptr); }
};


#endif /* _RBMESSENGER_H */
