/*
 *  rbPoint.h
 */

#ifndef _RBPOINT_H
#define _RBPOINT_H


#include <Point.h>
#include "my_be.h"


class Point : public BPoint {
public:
          Point() : BPoint() {}
          Point(float X, float Y) : BPoint(X, Y) {}
          Point(const BPoint& pt) : BPoint(pt) {}

void      *operator new(size_t size) { return xmalloc(size); }
void      operator delete(void *ptr) { free(ptr); }
};


#endif /* _RBPOINT_H */
