/*
 *  rbRect.h
 */

#ifndef _RBRECT_H
#define _RBRECT_H


#include <Rect.h>
#include "my_be.h"


class Rect : public BRect {
public:
          Rect() : BRect() {}
          Rect(const BRect &rect) : BRect(rect) {}
          Rect(float l, float t, float r, float b) : BRect(l, t, r, b) {}
          Rect(BPoint leftTop, BPoint rightBottom) : BRect(leftTop, rightBottom) {}

void      *operator new(size_t size) { return xmalloc(size); }
void      operator delete(void *ptr) { free(ptr); }

};


#endif /* _RRECT_H */
