#! /boot/home/config/bin/ruby -d

#
# test08.rb
#

require "be.so"


signature = "application/x-vnd.s_nojo-be.so-test08.rb"


class MyApp < Be::Application
  def initialize(*args)
    p "-- MyApp#initialize(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def Run(*args)
    p "-- MyApp#Run(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def Quit(*args)
    p "-- MyApp#Quit(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def QuitRequested(*args)
    p "-- MyApp#QuitRequested(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def ReadyToRun(*args)
    p "-- MyApp#ReadyToRun(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def ArgvReceived(*args)
    p "-- MyApp#ArgvReceived(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def AppActivated(*args)
    p "-- MyApp#AppActivated(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
  def DispatchMessage(*args)
    p "-- MyApp#DispatchMessage(#{args.inspect})"
    super(*args)
    p ["$be_app.IsLaunching", $be_app.IsLaunching]
  end
end


MyApp.new(signature)

win = Be::Window.new(Be::Rect.new(100, 80, 260, 120),
                     "test08.rb",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)

def win.QuitRequested
  $be_app.PostMessage(Be::QUIT_REQUESTED)
  return true
end

win.Show

$be_app.Run
