#! /boot/home/config/bin/ruby -d

#
# test09.rb
#

require "be.so"


signature = "application/x-vnd.s_nojo-be.so-test09.rb"


class MyApp < Be::Application
  def Pulse
    p "-- MyApp#Pulse"
    super
  end
  def ReadyToRun
    p "-- MyApp#ReadyToRun"

    p ["$be_app.SetPulseRate(4*1000*1000)",
        $be_app.SetPulseRate(4*1000*1000)] # 4s

#    p ["$be_app.SetPulseRate(2147483648)",
#        $be_app.SetPulseRate(2147483648)]

#    p ["$be_app.SetPulseRate((1*1000*1000)*60*60*24*365)",
#        $be_app.SetPulseRate((1*1000*1000)*60*60*24*365)] # 1y

#    p ["$be_app.SetPulseRate(2**63-1)",
#        $be_app.SetPulseRate(2**63-1)]     # max

    super
  end
  def DispatchMessage(message, handler)
    p "-- MyApp#DispatchMessage(#{message}, #{handler})"
    message.PrintToStream if message.what == Be::PULSE
    super(message, handler)
  end
end


MyApp.new(signature)

win = Be::Window.new(Be::Rect.new(100, 80, 260, 120),
                     "test09.rb",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)

def win.QuitRequested()
  $be_app.PostMessage(Be::QUIT_REQUESTED)
  return true
end

win.Show()

$be_app.Run
