#! /boot/home/config/bin/ruby -d

#
# test16.rb
#

require "be.so"


signature = "application/x-Ruby.test16.rb"

class MyWindow < Be::Window
  def QuitRequested()
    $be_app.PostMessage(Be::QUIT_REQUESTED)
    return true
  end
end


Be::Application.new(signature)

def $be_app.ReadyToRun()
  p "-- $be_app.ReadyToRun()"
  win = MyWindow.new(Be::Rect.new(50, 50, 250, 100),
                     "MyWindow",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)
  win.Show
  p "-- win.Show"

  alert = Be::Alert.new(nil, "Be::Alert test", "OK")
  alert.Go(nil) #=> asynchronous
  p "-- alert.Go"
end

p "-- $be_app.Run"
$be_app.Run
p "-- end"
