#! /boot/home/config/bin/ruby -d

#
# test33.rb
#

require "be.so"

signature = "application/x-Ruby.test33.rb"

class MyWindow < Be::Window
  def QuitRequested()
    $be_app.PostMessage(Be::QUIT_REQUESTED)
    return true
  end
end

class MyApp < Be::Application
  def ReadyToRun()
    win = MyWindow.new(Be::Rect.new(100, 80, 260, 120),
                       "Will Accept First Click Window",
                       Be::TITLED_WINDOW,
                       Be::WILL_ACCEPT_FIRST_CLICK)
    win.Show
  end
end

MyApp.new(signature)

$be_app.Run
