#! /boot/home/config/bin/ruby -d

#
# test55.rb
#

require "be.so"
include Be


signature = "application/x-vnd.Be-TRAK"
msgr = Messenger.new(signature)

msg = Be::Message.new(COUNT_PROPERTIES)
msg.AddSpecifier("Window")

reply = Be::Message.new

msgr.SendMessage(msg, reply)

print <<-M

signature:  #{signature}
send message: `COUNT_PROPERTIES'

Window:
---------
M

begin

  reply.FindInt32("result") {| result |
    puts result
  }

rescue StandardError
  reply.PrintToStream
end
