#! /boot/home/config/bin/ruby -d

#
# test58.rb
#

require "be.so"
include Be


signature = "application/x-vnd.Be-TRAK"
msgr = Messenger.new(signature)

msg = Message.new(COUNT_PROPERTIES)
msg.AddSpecifier("Window")

reply = Message.new
msgr.SendMessage(msg, reply)

num = reply.FindInt32("result") #=> Window Count


print <<-M

signature:  #{signature}
send message: `COUNT_PROPERTIES'

Entry:
---------
M


1.step(num-1, 1) {| i |
  msg.MakeEmpty
  msg.what = COUNT_PROPERTIES
#  msg.what = GET_PROPERTY
  msg.AddSpecifier("Entry")
#  msg.AddSpecifier("Selection")
  msg.AddSpecifier("Poses")
  msg.AddSpecifier("Window", i)

  reply.MakeEmpty
  msgr.SendMessage(msg, reply)

  begin
    reply.FindInt32("result") {| result |
      puts "(#{i}): #{result}"
    }
  rescue StandardError
    reply.PrintToStream
  end
}
