#! /boot/home/config/bin/ruby -d

#
# test59.rb
#

require "be.so"
include Be


signature = "application/x-vnd.Be-TRAK"
msgr = Messenger.new(signature)

msg = Message.new(GET_PROPERTY)
msg.AddSpecifier("Entry")
# msg.AddSpecifier("Selection")
msg.AddSpecifier("Poses")
msg.AddSpecifier("Window", 1)

reply = Message.new
msgr.SendMessage(msg, reply)


print <<-M

signature:  #{signature}
send message: `GET_PROPERTY'

Entry:
---------
M


begin
  entries = []

  reply.FindRef("result") {| result |
    entries << result.name
  }

  puts entries.sort
rescue StandardError
  reply.PrintToStream
end
