#! /boot/home/config/bin/ruby -d

#
# test60.rb
#

require "be.so"
include Be


signature = "application/x-vnd.Be-TRAK"
msgr = Messenger.new(signature)

msg = Message.new(COUNT_PROPERTIES)
msg.AddSpecifier("Window")

reply = Message.new
msgr.SendMessage(msg, reply)

num = reply.FindInt32("result") #=> Window Count


print <<-M

signature:  #{signature}
send message: `GET_PROPERTY'

Title:
---------
M


num.times {| i |
  msg.MakeEmpty
  msg.what = GET_PROPERTY
  msg.AddSpecifier("Title")
  msg.AddSpecifier("Window", i)

  reply.MakeEmpty
  msgr.SendMessage(msg, reply)

  begin
    reply.FindString("result") {| result |
      puts "(#{i}): #{result}"
    }
  rescue StandardError
    reply.PrintToStream
  end
}
