#! /boot/home/config/bin/ruby -Ku

#
# activate_app.rb
#
# ex.)
#   ruby activate_app.rb 'application/x-vnd.Be-NPOS' ...
#

require "be.so"
include Be


ros = Roster.new

ARGV.each {| signature |
  begin
    id = ros.TeamFor(signature)

  rescue Be::Error
    puts "not running (signature: `#{signature}')."
    next

  else
    ros.ActivateApp(id)
  end
}
