#! /boot/home/config/bin/ruby -d

#
# info_index.rb
#
# ex.)
#   ruby info_index.rb 'BEOS:APP_SIG' 'name' 'size' ...
#

require "to_string.rb"
require "be.so"
include Be


dev = dev_for_path(".")

ARGV.each {| name |
  puts "-- `#{name}'"

  index_info = fs_stat_index(dev, name)

  type = index_info["type"]
  print <<-INFO
type: #{type} (`#{type.to_string}')
size: #{index_info["size"]}
modification_time: #{index_info["modification_time"]}
creation_time: #{index_info["creation_time"]}
uid: #{index_info["uid"]}
gid: #{index_info["gid"]}
  INFO
}
