#! /boot/home/config/bin/ruby -d

#
# window_decoration.rb
#
# ex.)
#   ruby window_decoration.rb 'ami'
#

require "to_integer.rb"
require "be.so"
include Be


decoration = {
  "win" => "Bill".to_integer, #=> Win95/98
  "ami" => "Ncro".to_integer, #=> Amiga
  "mac" => "WcOS".to_integer, #=> Mac
  "be"  => "Tabs".to_integer  #=> Be
}
type = ARGV.pop
raise "choice: [win, ami(amiga), mac, be]" if decoration[type].nil?

msgr = Messenger.new("application/x-vnd.Be-TSKB")
msg = Message.new(decoration[type])
msgr.SendMessage(msg)
