#! /boot/home/config/bin/ruby -d

#
# test54.rb
#
# similar `translate --list'
#

require "to_string.rb"
require "be.so"
include Be


def print_fmt(fmts)
  fmt = nil

  fmts.each {| fmt |
    printf("`%s' (%s) %1.1f %1.0f %s ; %s\n",
           fmt["type"].to_string,
           fmt["group"].to_string,
           fmt["quality"],
           fmt["capability"],
           fmt["MIME"],
           fmt["name"])
  }
end


id, name, info, ver, fmts = nil
tr = TranslatorRoster.Default
path = Path.new

tr.GetAllTranslators.each {| id |
  name, info, ver = tr.GetTranslatorInfo(id)
  puts "Translator #{name} version #{ver.to_f/100.0}"
  puts "#{info}"

  fmts = tr.GetInputFormats(id)
  puts "inputs: #{fmts.length}"
  print_fmt(fmts)

  fmts = tr.GetOutputFormats(id)
  puts "outputs: #{fmts.length}"
  print_fmt(fmts)

  print "\n"

  begin
#    tr.GetConfigurationMessage(id).PrintToStream
#    path.SetTo(tr.GetRefFor(id))
#    puts "path: `#{path.Path}'"
  rescue NoTranslator
  end
}


