/*
 *  TranslatorFormats.cc
 */

#include <TranslatorFormats.h>
#include "my_be.h"


void
Init_TranslatorFormats()
{
  rb_define_const(mBe, "TRANSLATOR_EXT_HEADER_ONLY", rb_str_new2(B_TRANSLATOR_EXT_HEADER_ONLY));
  rb_define_const(mBe, "TRANSLATOR_EXT_DATA_ONLY", rb_str_new2(B_TRANSLATOR_EXT_DATA_ONLY));
  rb_define_const(mBe, "TRANSLATOR_EXT_COMMENT", rb_str_new2(B_TRANSLATOR_EXT_COMMENT));
  rb_define_const(mBe, "TRANSLATOR_EXT_TIME", rb_str_new2(B_TRANSLATOR_EXT_TIME));
  rb_define_const(mBe, "TRANSLATOR_EXT_FRAME", rb_str_new2(B_TRANSLATOR_EXT_FRAME));
  rb_define_const(mBe, "TRANSLATOR_EXT_BITMAP_RECT", rb_str_new2(B_TRANSLATOR_EXT_BITMAP_RECT));
  rb_define_const(mBe, "TRANSLATOR_EXT_BITMAP_COLOR_SPACE", rb_str_new2(B_TRANSLATOR_EXT_BITMAP_COLOR_SPACE));
  rb_define_const(mBe, "TRANSLATOR_EXT_BITMAP_PALETTE", rb_str_new2(B_TRANSLATOR_EXT_BITMAP_PALETTE));
  rb_define_const(mBe, "TRANSLATOR_EXT_SOUND_CHANNEL", rb_str_new2(B_TRANSLATOR_EXT_SOUND_CHANNEL));
  rb_define_const(mBe, "TRANSLATOR_EXT_SOUND_MONO", rb_str_new2(B_TRANSLATOR_EXT_SOUND_MONO));
  rb_define_const(mBe, "TRANSLATOR_EXT_SOUND_MARKER", rb_str_new2(B_TRANSLATOR_EXT_SOUND_MARKER));
  rb_define_const(mBe, "TRANSLATOR_EXT_SOUND_LOOP", rb_str_new2(B_TRANSLATOR_EXT_SOUND_LOOP));

  rb_define_const(mBe, "TRANSLATOR_BITMAP", ULONG2NUM(B_TRANSLATOR_BITMAP));
  rb_define_const(mBe, "TRANSLATOR_PICTURE", ULONG2NUM(B_TRANSLATOR_PICTURE));
  rb_define_const(mBe, "TRANSLATOR_TEXT", ULONG2NUM(B_TRANSLATOR_TEXT));
  rb_define_const(mBe, "TRANSLATOR_SOUND", ULONG2NUM(B_TRANSLATOR_SOUND));
  rb_define_const(mBe, "TRANSLATOR_MIDI", ULONG2NUM(B_TRANSLATOR_MIDI));
  rb_define_const(mBe, "TRANSLATOR_MEDIA", ULONG2NUM(B_TRANSLATOR_MEDIA));
  rb_define_const(mBe, "TRANSLATOR_NONE", ULONG2NUM(B_TRANSLATOR_NONE));
  rb_define_const(mBe, "TRANSLATOR_ANY_TYPE", ULONG2NUM(B_TRANSLATOR_ANY_TYPE));

  rb_define_const(mBe, "GIF_FORMAT", ULONG2NUM(B_GIF_FORMAT));
  rb_define_const(mBe, "JPEG_FORMAT", ULONG2NUM(B_JPEG_FORMAT));
  rb_define_const(mBe, "PNG_FORMAT", ULONG2NUM(B_PNG_FORMAT));
  rb_define_const(mBe, "PPM_FORMAT", ULONG2NUM(B_PPM_FORMAT));
  rb_define_const(mBe, "TGA_FORMAT", ULONG2NUM(B_TGA_FORMAT));
  rb_define_const(mBe, "BMP_FORMAT", ULONG2NUM(B_BMP_FORMAT));
  rb_define_const(mBe, "TIFF_FORMAT", ULONG2NUM(B_TIFF_FORMAT));
  rb_define_const(mBe, "DXF_FORMAT", ULONG2NUM(B_DXF_FORMAT));
  rb_define_const(mBe, "EPS_FORMAT", ULONG2NUM(B_EPS_FORMAT));
  rb_define_const(mBe, "PICT_FORMAT", ULONG2NUM(B_PICT_FORMAT));
  rb_define_const(mBe, "WAV_FORMAT", ULONG2NUM(B_WAV_FORMAT));
  rb_define_const(mBe, "AIFF_FORMAT", ULONG2NUM(B_AIFF_FORMAT));
  rb_define_const(mBe, "CD_FORMAT", ULONG2NUM(B_CD_FORMAT));
  rb_define_const(mBe, "AU_FORMAT", ULONG2NUM(B_AU_FORMAT));
  rb_define_const(mBe, "STYLED_TEXT_FORMAT", ULONG2NUM(B_STYLED_TEXT_FORMAT));
}
