/*
 *  TypeConstants.cc
 */

#include <TypeConstants.h>
#include "my_be.h"


void
Init_TypeConstants()
{
  rb_define_const(mBe, "ANY_TYPE", ULONG2NUM(B_ANY_TYPE));
  rb_define_const(mBe, "BOOL_TYPE", ULONG2NUM(B_BOOL_TYPE));
  rb_define_const(mBe, "CHAR_TYPE", ULONG2NUM(B_CHAR_TYPE));
  rb_define_const(mBe, "COLOR_8_BIT_TYPE", ULONG2NUM(B_COLOR_8_BIT_TYPE));
  rb_define_const(mBe, "DOUBLE_TYPE", ULONG2NUM(B_DOUBLE_TYPE));
  rb_define_const(mBe, "FLOAT_TYPE", ULONG2NUM(B_FLOAT_TYPE));
  rb_define_const(mBe, "GRAYSCALE_8_BIT_TYPE", ULONG2NUM(B_GRAYSCALE_8_BIT_TYPE));
  rb_define_const(mBe, "INT64_TYPE", ULONG2NUM(B_INT64_TYPE));
  rb_define_const(mBe, "INT32_TYPE", ULONG2NUM(B_INT32_TYPE));
  rb_define_const(mBe, "INT16_TYPE", ULONG2NUM(B_INT16_TYPE));
  rb_define_const(mBe, "INT8_TYPE", ULONG2NUM(B_INT8_TYPE));
  rb_define_const(mBe, "MESSAGE_TYPE", ULONG2NUM(B_MESSAGE_TYPE));
  rb_define_const(mBe, "MESSENGER_TYPE", ULONG2NUM(B_MESSENGER_TYPE));
  rb_define_const(mBe, "MIME_TYPE", ULONG2NUM(B_MIME_TYPE));
  rb_define_const(mBe, "MONOCHROME_1_BIT_TYPE", ULONG2NUM(B_MONOCHROME_1_BIT_TYPE));
  rb_define_const(mBe, "OBJECT_TYPE", ULONG2NUM(B_OBJECT_TYPE));
  rb_define_const(mBe, "OFF_T_TYPE", ULONG2NUM(B_OFF_T_TYPE));
  rb_define_const(mBe, "PATTERN_TYPE", ULONG2NUM(B_PATTERN_TYPE));
  rb_define_const(mBe, "POINTER_TYPE", ULONG2NUM(B_POINTER_TYPE));
  rb_define_const(mBe, "POINT_TYPE", ULONG2NUM(B_POINT_TYPE));
  rb_define_const(mBe, "RAW_TYPE", ULONG2NUM(B_RAW_TYPE));
  rb_define_const(mBe, "RECT_TYPE", ULONG2NUM(B_RECT_TYPE));
  rb_define_const(mBe, "REF_TYPE", ULONG2NUM(B_REF_TYPE));
  rb_define_const(mBe, "RGB_32_BIT_TYPE", ULONG2NUM(B_RGB_32_BIT_TYPE));
  rb_define_const(mBe, "RGB_COLOR_TYPE", ULONG2NUM(B_RGB_COLOR_TYPE));
  rb_define_const(mBe, "SIZE_T_TYPE", ULONG2NUM(B_SIZE_T_TYPE));
  rb_define_const(mBe, "SSIZE_T_TYPE", ULONG2NUM(B_SSIZE_T_TYPE));
  rb_define_const(mBe, "STRING_TYPE", ULONG2NUM(B_STRING_TYPE));
  rb_define_const(mBe, "TIME_TYPE", ULONG2NUM(B_TIME_TYPE));
  rb_define_const(mBe, "UINT64_TYPE", ULONG2NUM(B_UINT64_TYPE));
  rb_define_const(mBe, "UINT32_TYPE", ULONG2NUM(B_UINT32_TYPE));
  rb_define_const(mBe, "UINT16_TYPE", ULONG2NUM(B_UINT16_TYPE));
  rb_define_const(mBe, "UINT8_TYPE", ULONG2NUM(B_UINT8_TYPE));
  rb_define_const(mBe, "MEDIA_PARAMETER_TYPE", ULONG2NUM(B_MEDIA_PARAMETER_TYPE));
  rb_define_const(mBe, "MEDIA_PARAMETER_WEB_TYPE", ULONG2NUM(B_MEDIA_PARAMETER_WEB_TYPE));
  rb_define_const(mBe, "MEDIA_PARAMETER_GROUP_TYPE", ULONG2NUM(B_MEDIA_PARAMETER_GROUP_TYPE));

  rb_define_const(mBe, "URL_HTTP", rb_str_new2(B_URL_HTTP));
  rb_define_const(mBe, "URL_HTTPS", rb_str_new2(B_URL_HTTPS));
  rb_define_const(mBe, "URL_FTP", rb_str_new2(B_URL_FTP));
  rb_define_const(mBe, "URL_GOPHER", rb_str_new2(B_URL_GOPHER));
  rb_define_const(mBe, "URL_MAILTO", rb_str_new2(B_URL_MAILTO));
  rb_define_const(mBe, "URL_NEWS", rb_str_new2(B_URL_NEWS));
  rb_define_const(mBe, "URL_NNTP", rb_str_new2(B_URL_NNTP));
  rb_define_const(mBe, "URL_TELNET", rb_str_new2(B_URL_TELNET));
  rb_define_const(mBe, "URL_RLOGIN", rb_str_new2(B_URL_RLOGIN));
  rb_define_const(mBe, "URL_TN3270", rb_str_new2(B_URL_TN3270));
  rb_define_const(mBe, "URL_WAIS", rb_str_new2(B_URL_WAIS));
  rb_define_const(mBe, "URL_FILE", rb_str_new2(B_URL_FILE));
}
