/*
 *  rbAlert.h
 */

#ifndef _RBALERT_H
#define _RBALERT_H


#include <Alert.h>
#include "my_be.h"


class Alert : public BAlert {
public:
VALUE myself;
bool sync;

                  Alert(const char *title,
                        const char *text,
                        const char *button1,
                        const char *button2 = NULL,
                        const char *button3 = NULL,
                        button_width width = B_WIDTH_AS_USUAL,
                        alert_type type = B_INFO_ALERT);
                  Alert(const char *title,
                        const char *text,
                        const char *button1,
                        const char *button2,
                        const char *button3,
                        button_width width,
                        button_spacing spacing,
                        alert_type type = B_INFO_ALERT);

                  Alert(BMessage *data);

virtual void      MessageReceived(BMessage *an_event);
virtual void      FrameResized(float new_width,
                               float new_height);

virtual BHandler  *ResolveSpecifier(BMessage *msg,
                                    int32 index,
                                    BMessage *specifier,
                                    int32 form,
                                    const char *property);
virtual status_t  GetSupportedSuites(BMessage *data);


virtual void      DispatchMessage(BMessage *message,
                                  BHandler *handler);
virtual void      Quit();
virtual bool      QuitRequested();

        void      *operator new(size_t size);
        void      operator delete(void *ptr);
};


#endif /* _RBALERT_H */
