/*
 *  rbLooper.h
 */

#ifndef _RBLOOPER_H
#define _RBLOOPER_H


#include <Looper.h>
#include <Message.h>
#include "my_be.h"


class Looper : public BLooper {
public:
VALUE myself;

                  Looper(const char *name=NULL,
                         int32 priority=B_NORMAL_PRIORITY,
                         int32 port_capacity=B_LOOPER_PORT_DEFAULT_CAPACITY);

                  Looper(BMessage *data);

virtual void      DispatchMessage(BMessage *message,
                                  BHandler *handler);
virtual void      MessageReceived(BMessage *msg);

virtual thread_id Run();
virtual void      Quit();
virtual bool      QuitRequested();

virtual BHandler  *ResolveSpecifier(BMessage *msg,
                                    int32 index,
                                    BMessage *specifier,
                                    int32 form,
                                    const char *property);
virtual status_t  GetSupportedSuites(BMessage *data);

virtual void      AddCommonFilter(BMessageFilter *filter);
virtual bool      RemoveCommonFilter(BMessageFilter *filter);
virtual void      SetCommonFilterList(BList *filters);

        void      *operator new(size_t size);
        void      operator delete(void *ptr);
};


#endif /* _RBLOOPER_H */
