/*
 *  rbMessage.h
 */

#ifndef _RBMESSAGE_H
#define _RBMESSAGE_H


#include <Message.h>
#include "my_be.h"


class Message : public BMessage {
public:
          Message() : BMessage() {}
          Message(uint32 what) : BMessage(what) {}
          Message(const BMessage &a_message) : BMessage(a_message) {}

void      *operator new(size_t size)
{
  void *mem;

  mem = BMessage::operator new(size);
  if (!mem) {
    rb_gc();
    mem = BMessage::operator new(size);
    if (!mem) {
      rb_raise(rb_eNoMemError, "failed to allocate memory");
    }
  }
  return mem;
}


};


#endif /* _RBMESSAGE_H */
