/*
 *  rbMessageFilter.h
 */

#ifndef _RBMESSAGE_FILTER_H
#define _RBMESSAGE_FILTER_H


#include <MessageFilter.h>
#include "my_be.h"


class MessageFilter : public BMessageFilter {
public:
VALUE myself;

                      MessageFilter(uint32 what,
                                    filter_hook func = NULL);

                      MessageFilter(message_delivery delivery,
                                    message_source source,
                                    filter_hook func = NULL);

                      MessageFilter(message_delivery delivery,
                                    message_source source,
                                    uint32 what,
                                    filter_hook func = NULL);

                      MessageFilter(const BMessageFilter &filter);
                      MessageFilter(const BMessageFilter *filter);

virtual filter_result Filter(BMessage *message, BHandler **target);

        void          *operator new(size_t size);
        void          operator delete(void *ptr);
};


#endif /* _RBMESSAGE_FILTER_H */
