#! /boot/home/config/bin/ruby -d

#
# test02.rb
#

require "be.so"


class MyApp < Be::Application
  def initialize(arg)
    p "-- MyApp#initialize(#{arg})"
    super(arg)

    if arg.kind_of?(Be::Message)
      @str = arg.FindString("MyApp::Property1")
    else
      @str = "hello!"
    end
  end
  attr(:str, true)

  def Archive(archive, deep=true)
    p "-- MyApp#Archive(#{archive}, #{deep})"

    super(archive, deep)
    archive.AddString("MyApp::Property1", @str)
  end
end


dump = true
# dump = false

if dump

  p "MyApp Message Dumping..."

  signature = "application/x-vnd.s_nojo-be.so-test02.rb"
  MyApp.new(signature)

  p $be_app.str
  $be_app.str = "beautiful!!"
  p $be_app.str

  data = Be::Message.new(Be::ARCHIVED_OBJECT)
  $be_app.Archive(data, true)

  File.open("msg-dump.data", "w") {| f |
    Marshal.dump(data, f)
  }

else

  p "MyApp Message Loading..."

  msg = nil
  File.open("msg-dump.data", "r") {| f |
    msg = Marshal.load(f)
  }
  p msg

#  MyApp.Instantiate(msg)
  MyApp.new(msg)
  p $be_app
  p $be_app.str

end
