#! /boot/home/config/bin/ruby -d

#
# test10.rb
#

require "be.so"


signature = "application/x-vnd.s_nojo-be.so-test10.rb"


class MyApp < Be::Application
  def ResolveSpecifier(message, index, specifier, form, property)
    p "-- MyApp#ResolveSpecifier(#{message}, #{index}, #{specifier}, #{form}, #{property})"

    message.PrintToStream
    specifier.PrintToStream

    super(message, index, specifier, form, property)
  end
  def DispatchMessage(message, handler)
    p "-- MyApp#DispatchMessage(#{message}, #{handler})"

    message.PrintToStream

    super(message, handler)
  end
  def GetSupportedSuites(message)
    p "-- MyApp#GetSupportedSuites(#{message})"

    message.PrintToStream

    super(message)
  end
end


MyApp.new(signature)

win = Be::Window.new(Be::Rect.new(100, 80, 260, 120),
                     "test10.rb",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)

def win.QuitRequested()
  $be_app.PostMessage(Be::QUIT_REQUESTED)
  return true
end

win.Show()

$be_app.Run
