#! /boot/home/config/bin/ruby -d

#
# test14.rb
#

require "be.so"


signature = "application/x-vnd.s_nojo-be.so-test14.rb"


class MyApp < Be::Application
  def initialize(*args)
    p "-- MyApp#initialize(#{args.inspect})"
    super(*args)
  end
  def Run(*args)
    p "-- MyApp#Run(#{args.inspect})"
    super(*args)
  end
  def Archive(*args)
    p "-- MyApp#Archive(#{args.inspect})"
    super(*args)
  end
  def Quit(*args)
    p "-- MyApp#Quit(#{args.inspect})"
    super(*args)
  end
  def QuitRequested(*args)
    p "-- MyApp#QuitRequested(#{args.inspect})"
    super(*args)
  end
  def Pulse(*args)
    p "-- MyApp#Pulse(#{args.inspect})"
    super(*args)
  end
  def ReadyToRun(*args)
    p "-- MyApp#ReadyToRun(#{args.inspect})"
    super(*args)
  end
  def MessageReceived(*args)
    p "-- MyApp#MessageReceived(#{args.inspect})"
    super(*args)
  end
  def ArgvReceived(*args)
    p "-- MyApp#ArgvReceived(#{args.inspect})"
    super(*args)
  end
  def AppActivated(*args)
    p "-- MyApp#AppActivated(#{args.inspect})"
    super(*args)
  end
  def RefsReceived(*args)
    p "-- MyApp#RefsReceived(#{args.inspect})"
    super(*args)
  end
  def AboutRequested(*args)
    p "-- MyApp#AboutRequested(#{args.inspect})"
    super(*args)
  end
  def ResolveSpecifier(*args)
    p "-- MyApp#ResolveSpecifier(#{args.inspect})"
    super(*args)
  end
  def DispatchMessage(*args)
    p "-- MyApp#DispatchMessage(#{args.inspect})"
    super(*args)
  end
  def GetSupportedSuites(*args)
    p "-- MyApp#GetSupportedSuites(#{args.inspect})"
    super(*args)
  end
end


MyApp.new(signature)

win = Be::Window.new(Be::Rect.new(100, 80, 260, 120),
                     "test14.rb",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)
def win.QuitRequested()
  $be_app.PostMessage(Be::QUIT_REQUESTED)
  return true
end
def win.MessageReceived(msg)
  p "-- Be::Window#MessageReceived()"
  super(msg)
end
win.Show()

$be_app.Run
