#! /boot/home/config/bin/ruby -d

#
# test11.rb
#

# require "gc_start.rb"
require "be.so"


signature = "application/x-vnd.s_nojo-be.so-test11.rb"
Be::Application.new(signature)

p ["Be::Clipboard.new(\"MyClipboard\")", Be::Clipboard.new("MyClipboard")]
p ["$be_clipboard",                      $be_clipboard]
p ["$be_clipboard.Name",                 $be_clipboard.Name]
p ["$be_clipboard.LocalCount",           $be_clipboard.LocalCount]
p ["$be_clipboard.SystemCount",          $be_clipboard.SystemCount]
p ["$be_clipboard.StartWatching($be_app_messenger)",
    $be_clipboard.StartWatching($be_app_messenger)]
p ["$be_clipboard.StopWatching($be_app_messenger)",
    $be_clipboard.StopWatching($be_app_messenger)]
p ["$be_clipboard.DataSource",           $be_clipboard.DataSource]
p ["Be::CLIPBOARD_CHANGED",              Be::CLIPBOARD_CHANGED]


p ["$be_clipboard.IsLocked", $be_clipboard.IsLocked]
if $be_clipboard.Lock
  p ["$be_clipboard.IsLocked", $be_clipboard.IsLocked]
  p ["$be_clipboard.Data",     $be_clipboard.Data]

  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
    p "clipboard(text/plain): `#{data}'"
  end

  p ["$be_clipboard.Unlock",   $be_clipboard.Unlock]
end

$be_clipboard.Lock {
  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
    p "clipboard(text/plain): `#{data}'"
  end

  p ["$be_clipboard.Clear",   $be_clipboard.Clear]
  if not (clip = $be_clipboard.Data).nil?
    begin
      data = clip.FindData("text/plain", Be::MIME_TYPE)
    rescue Be::NameNotFound
      p "Data NotFound."
    else
      p "clipboard(text/plain): `#{data}'"
    end
  end

  p ["$be_clipboard.Revert",   $be_clipboard.Revert]
  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
    p "clipboard(text/plain): `#{data}'"
  end

  p ["$be_clipboard.Clear",   $be_clipboard.Clear]
  if not (clip = $be_clipboard.Data).nil?
    clip.AddData("text/plain", Be::MIME_TYPE, "Hello! rubyist.")
    p ["$be_clipboard.Commit", $be_clipboard.Commit]
  end
  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
    p "clipboard(text/plain): `#{data}'"
  end

  p ["$be_clipboard.Revert",   $be_clipboard.Revert]
  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
    p "clipboard(text/plain): `#{data}'"
  end
}
