#! /boot/home/config/bin/ruby -d

#
# test12.rb
#

# require "gc_start.rb"
require "be.so"

signature = "application/x-vnd.s_nojo-be.so-test12.rb"
Be::Application.new(signature)


data = nil
$be_clipboard.Lock {
  if not (clip = $be_clipboard.Data).nil?
    data = clip.FindData("text/plain", Be::MIME_TYPE)
  end
}
p "clipboard(text/plain): `#{data}'"


p "Committing text/plain...`Hello! rubyist.'"
$be_clipboard.Lock {
  $be_clipboard.Clear
  if not (clip = $be_clipboard.Data).nil?
    clip.AddData("text/plain", Be::MIME_TYPE, "Hello! rubyist.")
    $be_clipboard.Commit
  end
}


data = nil
$be_clipboard.Lock {
  if not (clip = $be_clipboard.Data).nil?
#    clip.PrintToStream
    data = clip.FindData("text/plain", Be::MIME_TYPE)
  end
}
p "clipboard(text/plain): `#{data}'"


def $be_app.MessageReceived(message)
  case message.what
    when Be::CLIPBOARD_CHANGED
#      $be_clipboard.DataSource.SendMessage(Be::ABOUT_REQUESTED)
      message.PrintToStream
    else
      super(message)
  end
end
def $be_app.QuitRequested()
  $be_clipboard.StopWatching($be_app_messenger)
  return true
end
def $be_app.ReadyToRun
  $be_clipboard.StartWatching($be_app_messenger)
end



win = Be::Window.new(Be::Rect.new(100, 80, 260, 120),
                     "test12.rb",
                     Be::TITLED_WINDOW,
                     Be::NOT_RESIZABLE | Be::NOT_ZOOMABLE)

def win.QuitRequested()
  $be_app.PostMessage(Be::QUIT_REQUESTED)
  return true
end

win.Show()

$be_app.Run
