#! /boot/home/config/bin/ruby -d

#
# test42.rb
#

require "be.so"

signature = "application/x-Ruby.test42.rb"

class MyWindow < Be::Window
  def QuitRequested()
    $be_app.PostMessage(Be::QUIT_REQUESTED)
    return true
  end
end

class MyApp < Be::Application
  def ReadyToRun()
    win = MyWindow.new(Be::Rect.new(100, 80, 260, 120),
                       "Document Window Look",
                       Be::DOCUMENT_WINDOW_LOOK,
                       Be::NORMAL_WINDOW_FEEL,
                       0,
                       Be::CURRENT_WORKSPACE)
    win.Show
  end
end

MyApp.new(signature)

$be_app.Run
