#! /boot/home/config/bin/ruby -d

#
# test54.rb
#

require "be.so"
include Be


signature = "application/x-vnd.Be-TRAK"
msgr = Messenger.new(signature)

msg = Be::Message.new(GET_PROPERTY)
msg.AddSpecifier("Name")

reply = Be::Message.new

msgr.SendMessage(msg, reply)

print <<-M

signature:  #{signature}
send message: `GET_PROPERTY'

Name:
---------
M

begin

  reply.FindString("result") {| result |
    puts result
  }

rescue NameNotFound
  reply.PrintToStream
end
