#! /boot/home/config/bin/ruby -d

#
# MuTerm_get_encode.rb
#
# ex.)
#   ruby MuTerm_get_encode.rb
#

require "be.so"
include Be


code =
[ "ISO-8859-1",  "ISO-8859-2",
  "ISO-8859-3",  "ISO-8859-4",
  "ISO-8859-5",  "ISO-8859-6",
  "ISO-8859-7",  "ISO-8859-8",
  "ISO-8859-9",  "ISO-8859-10",
  "MacRoman",    "JIS",
  "Shift-JIS",   "EUC-jp",
  "EUC-kr",      "UTF-8" ]

timeout = 2*(10**6)
signature = "application/x-vnd.naan-mterm"
ros = Roster.new

begin
  id = ros.TeamFor(signature)

rescue Be::Error
  puts "not running (signature: `#{signature}')."

else
  ids = ros.GetAppList(signature)
  msg = Message.new

  ids.each {| id |
    msg.MakeEmpty
    msg.what = GET_PROPERTY
    msg.AddSpecifier("encode")
    msg.AddSpecifier("Window", 0)

    reply = Message.new
    msgr = Messenger.new(signature, id)

    msgr.SendMessage(msg, reply, timeout, timeout)

    result = reply.FindInt32("result")
    puts code[result]
  }
end
