#! /boot/home/config/bin/ruby -d

#
# MuTerm_get_tty.rb
#
# ex.)
#   ruby MuTerm_get_tty.rb
#

require "be.so"
include Be


timeout = 2*(10**6)
signature = "application/x-vnd.naan-mterm"
ros = Roster.new

begin
  id = ros.TeamFor(signature)

rescue Be::Error
  puts "not running (signature: `#{signature}')."

else
  ids = ros.GetAppList(signature)
  msg = Message.new

  ids.each {| id |
    msg.MakeEmpty
    msg.what = GET_PROPERTY
    msg.AddSpecifier("tty")
    msg.AddSpecifier("Window", 0)
    reply = Message.new
    msgr = Messenger.new(signature, id)

    msgr.SendMessage(msg, reply, timeout, timeout)

    result = reply.FindString("result")
    puts result
  }
end
