#! /boot/home/config/bin/ruby -d

#
# MuTerm_new.rb
#
# ex.)
#   ruby MuTerm_new.rb
#

require "to_integer.rb"
require "be.so"
include Be


signature = "application/x-vnd.naan-mterm"
ros = Roster.new

begin
  id = ros.TeamFor(signature)
rescue Be::Error
  ros.Launch(signature)
else
  msgr = Messenger.new(signature, id)
  msg = Message.new("MNTE".to_integer)
  msgr.SendMessage(msg)
end
