#! /boot/home/config/bin/ruby -d

#
# info_fs.rb
#
# ex.)
#   ruby info_fs.rb '/' '/dev' '/pipe' '/boot' ...
#

require "be.so"
include Be


ARGV.each {| path |
  puts "-- `#{path}'"

  dev = dev_for_path(path)
  fs_info = fs_stat_dev(dev)

  print <<-INFO
dev: #{fs_info["dev"]}
root: #{fs_info["root"]}
flags: #{format("%#x", fs_info["flags"])}
block_size: #{fs_info["block_size"]}
io_size: #{fs_info["io_size"]}
total_blocks: #{fs_info["total_blocks"]}
free_blocks: #{fs_info["free_blocks"]}
total_nodes: #{fs_info["total_nodes"]}
free_nodes: #{fs_info["free_nodes"]}
device_name: #{fs_info["device_name"]}
volume_name: #{fs_info["volume_name"]}
fsh_name: #{fs_info["fsh_name"]}
  INFO
}
