#! /boot/home/config/bin/ruby

#
# quit_requested.rb
#
# ex.)
#   ruby quit_requested.rb 'application/x-vnd.Be-NPOS' ...
#

require "be.so"
include Be


timeout = 2*(10**6)
ros   = Roster.new
msg   = Message.new(QUIT_REQUESTED)
reply = Message.new

ARGV.each {| signature |
  begin
    id = ros.TeamFor(signature)

  rescue Be::Error
    puts "not running (signature: `#{signature}')."
    next

  else
    reply.MakeEmpty
    msgr  = Messenger.new(signature, id)

    puts "Sending BMessage...\n-> team_id:`#{id}', signature:`#{signature}'"
    msgr.SendMessage(msg, reply, timeout, timeout)

    print "\nReply from: team_id:`#{id}', signature:`#{signature}' ...\n-> "
    reply.PrintToStream
  end
}
