#! /boot/home/config/bin/ruby

#
# window_count.rb
#
# ex.)
#   ruby window_count.rb 'application/x-vnd.Be-NPOS' ...
#

require "be.so"
include Be


timeout = 2*(10**6)
ros   = Roster.new
msg   = Message.new(COUNT_PROPERTIES)
msg.AddSpecifier("Window")
reply = Message.new

ARGV.each {| signature |
  begin
    id = ros.TeamFor(signature)

  rescue Be::Error
    puts "not running (signature: `#{signature}')."
    next

  else
    reply.MakeEmpty

    msgr = Messenger.new(signature, id)
    msgr.SendMessage(msg, reply, timeout, timeout)

    reply.FindInt32("result") {| result |
      puts result
    }
  end
}
