#! /boot/home/config/bin/ruby -d

#
# test13.rb
#

# require "gc_start.rb"
require "be.so"


p Be::Roster.new

signature = "application/x-vnd.s_nojo-be.so-test13.rb"
Be::Application.new(signature)

npos = Be::NETPOSITIVE_APP_SIGNATURE

p ["$be_roster.IsRunning(#{npos})",
    $be_roster.IsRunning(npos)]

p ["$be_roster.TeamFor(#{npos})",
    $be_roster.TeamFor(npos)]

p ["$be_roster.GetAppList",          $be_roster.GetAppList]

msg = Be::Message.new(Be::NETPOSITIVE_OPEN_URL)
msg.AddString("be:url", "file:///boot/beos/documentation/Welcome_To_BeOS.html")
p ["$be_roster.Launch(#{npos}, #{msg})",
    $be_roster.Launch(npos, msg)]

p ["$be_roster.GetAppInfo(#{npos})", $be_roster.GetAppInfo(npos)]

team_id = $be_roster.TeamFor(npos)
p ["$be_roster.GetRunningAppInfo(#{team_id})",
    $be_roster.GetRunningAppInfo(team_id)]

p ["$be_roster.GetActiveAppInfo", $be_roster.GetActiveAppInfo]
p ["$be_roster.FindApp(#{npos})", $be_roster.FindApp(npos)]

p ["$be_roster.StartWatching($be_app_messenger)",
    $be_roster.StartWatching($be_app_messenger)]

p ["$be_roster.StopWatching($be_app_messenger)",
    $be_roster.StopWatching($be_app_messenger)]

p ["$be_roster.ActivateApp(#{team_id})",
    $be_roster.ActivateApp(team_id)]

p "$be_roster.GetRecentDocuments(3)"
$be_roster.GetRecentDocuments(3).PrintToStream

p "$be_roster.GetRecentFolders(3)"
$be_roster.GetRecentFolders(3).PrintToStream

p "$be_roster.GetRecentApps(3)"
$be_roster.GetRecentApps(3).PrintToStream

=begin
p $be_roster.Broadcast
p $be_roster.AddToRecentDocuments
p $be_roster.AddToRecentFolders
=end

p Be::LAUNCH_MASK
p Be::SINGLE_LAUNCH
p Be::MULTIPLE_LAUNCH
p Be::EXCLUSIVE_LAUNCH
p Be::BACKGROUND_APP
p Be::ARGV_ONLY
p Be::REQUEST_LAUNCHED
p Be::REQUEST_QUIT
p Be::REQUEST_ACTIVATED
p Be::SOME_APP_LAUNCHED
p Be::SOME_APP_QUIT
p Be::SOME_APP_ACTIVATED
